<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_01_ana_ad() */
/* タブのスラグ haumenu_define_tab_slug_01_ana_ad() */
/* $option_name 設定名 haumenu_define_option_name_01_ana_ad() */
/* get_option GetOP01_ana_ad() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */
function haup_child_setting_view_control_01_ana_ad( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_ana_ad';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_01_ana_ad();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'insert-ga-tag' => array(
			'.ga4-tag-id-wrapper', // GA4測定ID サブ
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_01_ana_ad', 20 );

/*** アクセス解析タグの出力 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_insert_google_analytics_tag(){
//項目の追加
	add_settings_field(
		'insert-ga-tag', // 設定名
		__('Output access analysis tag','hima-art-utility'), // 設定タイトル
		'haumenu_insert_google_analytics_tag', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_01_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_insert_google_analytics_tag' );

/* 入力フォーム */
function haumenu_insert_google_analytics_tag() {
	$set_name = haumenu_define_option_name_01_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'insert-ga-tag'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Insert the Google Analytics access analysis tag into the footer','hima-art-utility'); ?></p>
</label>
<?php
}

/*** GA4測定ID ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_ga4_tag_id(){
//項目の追加
	add_settings_field(
		'ga4-tag-id', // 設定名
		__('GA4 measurement ID','hima-art-utility'), // 設定タイトル
		'haumenu_ga4_tag_id', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_01_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_ga4_tag_id' );

/* 入力フォーム */
function haumenu_ga4_tag_id() {
	$set_name = haumenu_define_option_name_01_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'ga4-tag-id'; //個別配列名
?>
<div class="ga4-tag-id-wrapper">
	<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" class="transform" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" class="transform">
	<p><?php esc_html_e('Enter the "Measurement ID" on the "Webstream details" screen of Google Analytics','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** ログインユーザーを除外 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_user_not_output_analytics_tag(){
//項目の追加
	add_settings_field(
		'login-user-not-output-analytics_tag', // 設定名
		__('Exclude logged-in users','hima-art-utility'), // 設定タイトル
		'haumenu_login_user_not_output_analytics_tag', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_01_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_login_user_not_output_analytics_tag' );

/* 入力フォーム */
function haumenu_login_user_not_output_analytics_tag() {
	$set_name = haumenu_define_option_name_01_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-user-not-output-analytics_tag'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Stop outputting the Analytics tag when a logged-in user visits, and prevent it from being reflected in access analysis.','hima-art-utility'); ?></p>
</label>
<?php
}